
%global meadversion 8.6.5
%global namedversion 8.6.5.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package azure-storage}
%{!?scl:%global pkg_name %{name}}

%define maven_version 8.6.5.redhat-00001

Name:           %{?scl_prefix}azure-storage
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Microsoft Azure Storage Client SDK
Group:          Development/Java

%if %with mead
Source100: azure-storage-8.6.5.redhat-00001-project-sources.tar.gz
Source102: azure-storage-8.6.5.redhat-00001.jar
Source103: azure-storage-8.6.5.redhat-00001-sources.jar
Source104: azure-storage-8.6.5.redhat-00001-javadoc.jar
Source105: azure-storage-8.6.5.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/Azure/azure-storage-java
# XXX: 2.6.0
Requires:       %{?scl_prefix_eap}jackson-core >= 0:2.5.4
# XXX: 1.7.12
Requires:       %{?scl_prefix_eap}slf4j-api >= 0:1.7.7
%if 0
Requires:       %{?scl_prefix_eap}commons-lang3 >= 0:3.4
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
SDK for Microsoft Azure Storage Clients.

%if %with javadoc
%package javadoc
Summary:        Javadoc for azure-storage
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n azure-storage-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/azure-storage-%{namedversion}.jar %{buildroot}%{_javadir}/azure-storage-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/azure-storage-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/azure-storage-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/azure-storage-%{namedversion}-sources.jar %{buildroot}%{_javadir}/azure-storage-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/azure-storage-%{namedversion}
unzip -qq %{_sourcedir}/azure-storage-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/azure-storage-%{namedversion} -x META-INF/\*
%{__ln_s} azure-storage-%{namedversion} %{buildroot}%{_javadocdir}/azure-storage
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BreakingChanges.txt ChangeLog.txt LICENSE.txt README.md
%{_javadir}/azure-storage-%{namedversion}.jar
%{_javadir}/azure-storage.jar
%if %with javadoc
%{_javadir}/azure-storage-%{namedversion}-javadoc.jar
%{_javadir}/azure-storage-javadoc.jar
%endif
%{_javadir}/azure-storage-%{namedversion}-sources.jar
%{_javadir}/azure-storage-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/azure-storage-%{namedversion}
%{_javadocdir}/azure-storage
%endif

%changelog
* Mon Aug 17 2020 Yong Yang <yyang@redhat.com> - 8.6.5-1.redhat_00001.1
- RPM wrapper build 8.6.5.redhat-00001

* Mon Aug 03 2020 Yong Yang <yyang@redhat.com> - 8.6.4-1.redhat_00001.1
- RPM wrapper build 8.6.4.redhat-00001

* Sat Aug 01 2020 Yong Yang <yyang@redhat.com> - 8.6.4-1.redhat_00001.1
- RPM wrapper build 8.6.4.redhat-00001

* Thu Jul 05 2018 Permaine Cheung <pcheung@redhat.com> - 6.1.0-1.redhat_1.1
- Wrapper for EAP 7.2.0

* Mon Feb 27 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-1.redhat_1.1
- upgrade to 5.0.0.redhat-1

* Mon Feb 06 2017 Petr Sakar <psakar@redhat.com> - 4.4.0-1.redhat_1.1
- upgrade to 4.4.0.redhat-1

* Wed Feb 24 2016 David Walluck <dwalluck@redhat.com> - 4.0.0-1.redhat_1.1
- build RPM

